"use strict";
var _ = require("lodash");
/**
 * Naming strategy that is used by default.
 */
var DefaultNamingStrategy = (function () {
    function DefaultNamingStrategy() {
    }
    DefaultNamingStrategy.prototype.tableName = function (className) {
        return _.snakeCase(className);
    };
    DefaultNamingStrategy.prototype.columnName = function (propertyName) {
        return propertyName;
    };
    DefaultNamingStrategy.prototype.relationName = function (propertyName) {
        return propertyName;
    };
    DefaultNamingStrategy.prototype.indexName = function (target, name, columns) {
        if (name)
            return name;
        return "ind_" + columns.join("_");
    };
    DefaultNamingStrategy.prototype.joinColumnInverseSideName = function (joinColumnName, propertyName) {
        if (joinColumnName)
            return joinColumnName;
        return propertyName;
    };
    DefaultNamingStrategy.prototype.joinTableName = function (firstTableName, secondTableName, firstColumnName, secondColumnName) {
        return firstTableName + "_" + firstColumnName + "_" + secondTableName + "_" + secondColumnName;
    };
    DefaultNamingStrategy.prototype.joinTableColumnName = function (tableName, columnName) {
        return tableName + "_" + columnName;
    };
    return DefaultNamingStrategy;
}());
exports.DefaultNamingStrategy = DefaultNamingStrategy;
//# sourceMappingURL=DefaultNamingStrategy.js.map